Erases the body of the specified version. Irreversible and idempotent. Does not affect the current memory.
Prerequisites
Endpoint and authentication configured. For details, see Overview and authentication.
Endpoint
POST /memory_stores/{memory_store_id}/memory_versions/{memory_version_id}/redact
Path parameters
| Field | Required | Type | Description |
|---|---|---|---|
memory_store_id | Yes | string | Memory store ID |
memory_version_id | Yes | string | Version ID |
Request example
Response example
Response fields
| Field | Type | Description |
|---|---|---|
id | string | |
type | string | |
memory_store_id | string | |
memory_id | string | |
operation | created / modified / deleted | |
path | string | |
redacted_at | string | null | |
created_at | string |
Error codes
| HTTP status | Error code | Description |
|---|---|---|
| 401 | InvalidApiKey | API key missing, invalid, or expired |
| 403 | permission_error | Insufficient identity or resource access permissions |
| 404 | not_found_error | Resource does not exist or does not belong to the current workspace |